> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Update a filter option mapping

PATCH https://v1.api.partnerpage.io/api/directory/private/v1alpha/mappings/{mappingId}/
Content-Type: application/json

Update a filter option mapping.

Reference: https://docs.partnerpage.io/api-reference/directory/filter-maps/update-a-filter-option-mapping

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `mappingId` (string, required) — ID of the filter option mapping to update

### Body (application/json)

This endpoint expects a PatchedFilterOptionMappingSerializerUpdaterRequest.

- `name` (string, optional)
- `originOption` (string, optional)
- `destinationOptions` (list of string, optional)
- `order` (integer, optional)

## Response

### 200

Updated filter option mapping details.

- `id` (string, required)
- `name` (string, required)
- `originOption` (string, required)
- `destinationOptions` (string, required)
- `order` (integer, required)

## Errors

### 400 Bad Request Error

Invalid filter option mapping parameters provided

- `any`

### 404 Not Found Error

Filter Option Mapping not found

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "6a5fc0f0-c938-4b4e-85c2-b895a90b000d",
  "name": "Filter Mapping Example",
  "originOption": "127af47a-cb9c-4d54-96ca-4f799791d8b8",
  "destinationOptions": "string",
  "order": 0,
  "href": "/api/directory/private/v1alpha/mappings/6a5fc0f0-c938-4b4e-85c2-b895a90b000d/"
}
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/mappings/mappingId/"

payload = {}
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/mappings/mappingId/';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```